<div class="page-col-input-group input-width d-flex" ...attributes>
  <div class="flex-grow-1">
    {{#if (or (eq this.widthType "px") (eq this.widthType "%"))}}
      <Input::Options::SizeUnit @value={{this.width}} @unit={{this.widthType}} @onChange={{this.change}} />
    {{/if}}

    {{#if (eq this.widthType "cols")}}
      <Input::Select id="{{this.elementId}}-width" class="input-width-col" @list={{this.availableColWidths}}
        @value={{this.colWidth}} @onChange={{this.widthChange}} />
    {{/if}}
  </div>

  <div>
    <Input::Select id="{{this.elementId}}-width-type" class="input-width-type" @list={{this.availableWidthTypes}}
      @value={{this.widthType}} @onChange={{this.typeChange}} />
  </div>
</div>